rpms/drbdlinks/F-10 drbdlinks-1.17-cron.patch, NONE, 1.1 drbdlinks.spec, NONE, 1.1 drbdlinksclean, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2

Robert Scheck robert at fedoraproject.org
Sun May 24 00:26:22 UTC 2009


Author: robert

Update of /cvs/pkgs/rpms/drbdlinks/F-10
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv11644/F-10

Modified Files:
	.cvsignore sources 
Added Files:
	drbdlinks-1.17-cron.patch drbdlinks.spec drbdlinksclean 
Log Message:
Initial import of drbdlinks into other branches


drbdlinks-1.17-cron.patch:

--- NEW FILE drbdlinks-1.17-cron.patch ---
Patch by Robert Scheck <robert at fedoraproject.org> for drbdlinks <= 1.17,
which corrects the pid file name of cron on SuSE/openSUSE systems. If this
patch is not applied, restarting crond on RHEL/Fedora fails all the time.

--- drbdlinks-1.17/drbdlinks		2009-05-19 00:49:23.000000000 +0200
+++ drbdlinks-1.17/drbdlinks.cron	2009-05-19 10:43:40.000000000 +0200
@@ -79,7 +79,7 @@
 		syslogScriptPath = None
 		for checkInitPath, checkRunPath in [
 				( '/etc/init.d/crond', '/var/run/crond.pid' ),
-				( '/etc/init.d/cron', '/var/run/crond.pid' ),
+				( '/etc/init.d/cron', '/var/run/cron.pid' ),
 				]:
 			if os.path.exists(checkRunPath):
 				initScriptPath = checkInitPath


--- NEW FILE drbdlinks.spec ---
Summary:         A program for managing links into a DRBD shared partition
Name:            drbdlinks
Version:         1.17
Release:         1%{?dist}
License:         GPLv2
Group:           Applications/System
URL:             http://www.tummy.com/Community/software/%{name}/
Source0:         ftp://ftp.tummy.com/pub/tummy/%{name}/%{name}-%{version}.tar.gz
Source1:         drbdlinksclean
Patch0:          drbdlinks-1.17-cron.patch
Requires:        python, heartbeat
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
BuildArch:       noarch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The drbdlinks program manages links into a DRBD partition which is shared
among several machines. A simple configuration file, "/etc/drbdlinks.conf",
specifies the links. This can be used to manage e.g. links for /etc/httpd,
/var/lib/pgsql and other system directories that need to appear as if they
are local to the system when running applications after the drbd shared
partition has been mounted.

When running drbdlinks with "start" as the mode, drbdlinks will rename the
existing files/directories and then make symbolic links into the DRBD
partition, "stop" does the reverse. By default, rename appends ".drbdlinks"
to the name, but this can be overridden.

An init script is included which runs "stop" before heartbeat starts, and
after heartbeat stops. This is done to try to ensure that when the shared
partition isn't mounted, the links are in their normal state.

%prep
%setup -q
%patch0 -p1 -b .cron

%build

%install
rm -rf $RPM_BUILD_ROOT

# Create the needed directories
mkdir -p $RPM_BUILD_ROOT{%{_sysconfdir}/{ha.d/resource.d,rc.d/init.d},%{_mandir}/man8}
mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_localstatedir}/run/%{name}/configs-to-clean}

# Install the files and symlinks
install -p -m 755 %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
ln -s ../../..%{_sbindir}/%{name} $RPM_BUILD_ROOT%{_sysconfdir}/ha.d/resource.d/%{name}
install -p -m 644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/drbdlinksclean
install -p -m 644 %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add drbdlinksclean

%preun
if [ $1 -eq 0 ]; then
  /sbin/service drbdlinksclean stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del drbdlinksclean
fi

%files
%defattr(-,root,root,-)
%doc LICENSE README WHATSNEW
%{_sysconfdir}/rc.d/init.d/drbdlinksclean
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}
%{_sysconfdir}/ha.d/resource.d/%{name}
%{_mandir}/man8/%{name}.8*
%{_localstatedir}/run/%{name}/

%changelog
* Tue May 18 2009 Robert Scheck <robert at fedoraproject.org> 1.17-1
- Upgrade to 1.17

* Sun May 17 2009 Robert Scheck <robert at fedoraproject.org> 1.16-1
- Upgrade to 1.16

* Sat May 16 2009 Robert Scheck <robert at fedoraproject.org> 1.15-1
- Upgrade to 1.15
- Initial spec file for Fedora and Red Hat Enterprise Linux


--- NEW FILE drbdlinksclean ---
#!/bin/bash
#
# drbdlinksclean Clean up drbdlinks links on system boot or shutdown
#
# chkconfig: - 74 06
# description: Calls drbdlinks on initial system boot and shutdown to make \
#              sure that any links set up by drbdlinks are cleaned up when \
#              drbd is not running.
# config: /etc/drbdlinks.conf

### BEGIN INIT INFO
# Provides: drbdlinksclean
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Short-Description: Clean up drbdlinks links on system boot or shutdown
# Description: Calls drbdlinks on initial system boot and shutdown to make
#              sure that any links set up by drbdlinks are cleaned up when
#              drbd is not running.
### END INIT INFO

# Source function library.
. /etc/rc.d/init.d/functions

RETVAL=0
FOUNDFILE=0
drbdlinks=/usr/sbin/drbdlinks

[ -f /etc/drbdlinks.conf ] && FOUNDFILE=1

for FILE in /var/run/drbdlinks/configs-to-clean/*; do
	if [ -f "$FILE" ]; then
		FOUNDFILE=1
		break
	fi
done

if [ $FOUNDFILE -ne 1 ]; then
   echo "No /etc/drbdlinks.conf file, aborting."
   exit 1
fi

# See how we were called.
case "$1" in
	start|stop|restart|force-reload)
		echo -n "Cleaning up drbdlinks.conf links..."

		# Main drbdlinks.conf file
		if [ -f /etc/drbdlinks.conf ]; then
			if grep -q '^mountpoint(' /etc/drbdlinks.conf; then
				$drbdlinks stop
				RETVAL=$?
			else
				echo "No mountpoint found in /etc/drbdlinks.conf, skipping."
			fi
		fi

		#  clean up any supplemental config files
		for FILE in /var/run/drbdlinks/configs-to-clean/*; do
			if [ -f "$FILE" ]; then
				echo -n "Cleaning up '${FILE##*/}' links..."
				$drbdlinks --config-file "$FILE" stop || RETVAL=$?
			fi
		done

		[ $RETVAL -eq 0 ] && echo_success || echo_failure
		echo
		;;
	status)
		$drbdlinks status
		;;
	*)
		echo $"Usage: drbdlinksclean {start|stop|status|restart|force-reload}"
		RETVAL=1
		;;
esac

exit $RETVAL


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/drbdlinks/F-10/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- .cvsignore	20 May 2009 05:48:59 -0000	1.1
+++ .cvsignore	24 May 2009 00:25:51 -0000	1.2
@@ -0,0 +1 @@
+drbdlinks-1.17.tar.gz


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/drbdlinks/F-10/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- sources	20 May 2009 05:48:59 -0000	1.1
+++ sources	24 May 2009 00:25:52 -0000	1.2
@@ -0,0 +1 @@
+ac97558cbe52355e06529d5553ba46eb  drbdlinks-1.17.tar.gz




More information about the fedora-extras-commits mailing list